Bug 1441024 - Review Request: waiverdb - Companion service to ResultsDB, for recording waivers against test results
Summary: Review Request: waiverdb - Companion service to ResultsDB, for recording waiv...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Roman Joost
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-11 02:46 UTC by matt jia
Modified: 2017-06-20 01:49 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-23 21:25:18 UTC
rjoost: fedora-review+


Attachments (Terms of Use)

Description matt jia 2017-04-11 02:46:24 UTC
Spec URL: https://mjia.fedorapeople.org/waiverdb.spec
SRPM URL: https://mjia.fedorapeople.org/waiverdb-0.1-0.git.26.4fc848b.fc24.src.rpm
Description: WaiverDB is a companion service to ResultsDB, for recording waivers against test results.
Fedora Account System Username: mjia

Comment 1 Dan Callaghan 2017-04-11 03:03:07 UTC
Let's just call the package waiverdb, rather than python-waiverdb, since it's not really an "addon" package for Python. It's intended to be run as a web service, not imported as a Python library.

Comment 2 matt jia 2017-04-12 01:08:57 UTC
Spec URL: https://mjia.fedorapeople.org/waiverdb.spec
SRPM URL: https://mjia.fedorapeople.org/waiverdb-0.1-1.fc24.src.rpm
Description: WaiverDB is a companion service to ResultsDB, for recording waivers against test results.
Fedora Account System Username: mjia

I've tagged it for the first release and built a new srpm.

Comment 3 Dan Callaghan 2017-04-26 03:57:02 UTC
Still just needs a complete SourceURL, right now it just has:

Source0:        %{name}-%{upstream_version}.tar.gz

We can use PyPI or Pagure releases I guess... not sure which is more desirable.

And there are no %changelog entries.

Comment 4 Dan Callaghan 2017-04-26 04:05:53 UTC
Ah there is currently no way to programmatically upload tarballs to Pagure, which would prevent us from automating our releases, so let's scratch that for now and stick with PyPI.

I have registered "waiverdb" on PyPI and uploaded the 0.1.1 tarball, which is 0.1 but with the missing files added to the tarball so that it builds correctly.

https://pypi.python.org/pypi/waiverdb

Comment 5 matt jia 2017-04-26 06:09:33 UTC
The spec file is updated to have a proper SourceURL.

Comment 6 Dan Callaghan 2017-04-27 04:35:45 UTC
Please link to your updated spec and srpm.

Comment 7 matt jia 2017-04-27 05:57:17 UTC
Spec URL: https://mjia.fedorapeople.org/waiverdb.spec
SRPM URL: https://mjia.fedorapeople.org/waiverdb-0.1.1-1.fc24.src.rpm
Description: WaiverDB is a companion service to ResultsDB, for recording waivers against test results.
Fedora Account System Username: mjia

Comment 8 matt jia 2017-05-03 01:42:39 UTC
I've fixed the errors reported by rpmlint and bumped it to 0.1.1-2.

Spec URL: https://mjia.fedorapeople.org/waiverdb.spec
SRPM URL: https://mjia.fedorapeople.org/waiverdb-0.1.1-2.fc24.src.rpm
Description: WaiverDB is a companion service to ResultsDB, for recording waivers against test results.
Fedora Account System Username: mjia

Comment 9 Roman Joost 2017-05-03 05:03:13 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "*No copyright* GPL (v2 or later)", "GPL (v2 or later)",
     "Unknown or generated". 24 files have unknown license. Detailed output
     of licensecheck in /tmp/1441024-waiverdb/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 11 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: waiverdb-0.1.1-2.fc24.noarch.rpm
          waiverdb-0.1.1-2.fc24.src.rpm
0 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
1 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
waiverdb (rpmlib, GLIBC filtered):
    fedmsg
    python(abi)
    python-flask
    python-flask-oidc
    python-flask-restful
    python-flask-sqlalchemy
    python-kerberos
    python-mock
    python-sqlalchemy



Provides
--------
waiverdb:
    waiverdb



Source checksums
----------------
https://files.pythonhosted.org/packages/source/w/waiverdb/waiverdb-0.1.1.tar.gz :
  CHECKSUM(SHA256) this package     : 135fe9d615993b65860f4679d0cd7b53b9e0330bb54d6c92dfa2066d829c0c6f
  CHECKSUM(SHA256) upstream package : 135fe9d615993b65860f4679d0cd7b53b9e0330bb54d6c92dfa2066d829c0c6f


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1441024
Buildroot used: fedora-24-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6


Notes: I had trouble evaluating if the package functions as described,
since the description talks about a service, yet there seems to be no
service files to start or run the service. Perhaps that's intended
and/or flashed out later. Since it's only a "Should" item, I think the
review can be concluded as APPROVED.

Comment 10 Gwyn Ciesla 2017-05-05 12:07:03 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/waiverdb

Comment 11 Fedora Update System 2017-05-08 00:28:40 UTC
waiverdb-0.1.1-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-5fefaab710

Comment 12 Fedora Update System 2017-05-08 00:28:49 UTC
waiverdb-0.1.1-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-158db0b83a

Comment 13 Fedora Update System 2017-05-08 00:28:55 UTC
waiverdb-0.1.1-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-356e8b5c29

Comment 14 Fedora Update System 2017-05-09 00:45:59 UTC
waiverdb-0.1.1-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-158db0b83a

Comment 15 Fedora Update System 2017-05-09 02:38:12 UTC
waiverdb-0.1.1-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-356e8b5c29

Comment 16 Fedora Update System 2017-05-09 04:26:43 UTC
waiverdb-0.1.1-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-5fefaab710

Comment 17 Fedora Update System 2017-05-23 21:25:18 UTC
waiverdb-0.1.1-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2017-06-19 14:32:41 UTC
waiverdb-0.1.1-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2017-06-20 01:49:22 UTC
waiverdb-0.1.1-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.